Loading...
Searching...
No Matches
_Image Struct Reference

## Data Fields

ClassType | storage_class
ColorspaceType | colorspace
CompressionType | compression
size_t | quality
OrientationType | orientation
MagickBooleanType | taint
size_t | columns
size_t | rows
size_t | depth
size_t | colors
PixelInfo * | colormap
PixelInfo | alpha_color
PixelInfo | background_color
PixelInfo | border_color
PixelInfo | transparent_color
double | gamma
ChromaticityInfo | chromaticity
RenderingIntent | rendering_intent
void * | profiles
ResolutionType | units
char * | montage
char * | directory
char * | geometry
ssize_t | offset
PointInfo | resolution
RectangleInfo | page
RectangleInfo | extract_info
double | fuzz
FilterType | filter
PixelIntensityMethod | intensity
InterlaceType | interlace
EndianType | endian
GravityType | gravity
CompositeOperator | compose
DisposeType | dispose
size_t | scene
size_t | delay
size_t | duration
ssize_t | ticks_per_second
size_t | iterations
size_t | total_colors
ssize_t | start_loop
PixelInterpolateMethod | interpolate
MagickBooleanType | black_point_compensation
RectangleInfo | tile_offset
ImageType | type
MagickBooleanType | dither
MagickSizeType | extent
MagickBooleanType | ping
MagickBooleanType | read_mask
MagickBooleanType | write_mask
PixelTrait | alpha_trait
size_t | number_channels
size_t | number_meta_channels
size_t | metacontent_extent
ChannelType | channel_mask
PixelChannelMap * | channel_map
void * | cache
ErrorInfo | error
TimerInfo | timer
MagickProgressMonitor | progress_monitor
void * | client_data
Ascii85Info * | ascii85
ProfileInfo * | generic_profile
void * | properties
void * | artifacts
char | filename [MagickPathExtent]
char | magick_filename [MagickPathExtent]
char | magick [MagickPathExtent]
size_t | magick_columns
size_t | magick_rows
BlobInfo * | blob
time_t | timestamp
MagickBooleanType | debug
ssize_t | reference_count
SemaphoreInfo * | semaphore
struct _ImageInfo * | image_info
struct _Image * | list
struct _Image * | previous
struct _Image * | next
size_t | signature
PixelInfo | matte_color
MagickBooleanType | composite_mask
PixelTrait | mask_trait
ChannelType | channels
time_t | ttl

## Detailed Description

Definition at line 131 of file image.h.

## Field Documentation

## alpha_color

PixelInfo _Image::alpha_color

Definition at line 160 of file image.h.

## alpha_trait

PixelTrait _Image::alpha_trait

Definition at line 260 of file image.h.

## artifacts

void * _Image::artifacts

Definition at line 296 of file image.h.

## ascii85

Ascii85Info* _Image::ascii85

Definition at line 289 of file image.h.

## background_color

PixelInfo _Image::background_color

Definition at line 161 of file image.h.

## black_point_compensation

MagickBooleanType _Image::black_point_compensation

Definition at line 238 of file image.h.

## blob

BlobInfo* _Image::blob

Definition at line 308 of file image.h.

## border_color

PixelInfo _Image::border_color

Definition at line 162 of file image.h.

## cache

void* _Image::cache

Definition at line 274 of file image.h.

## channel_map

PixelChannelMap* _Image::channel_map

Definition at line 271 of file image.h.

## channel_mask

ChannelType _Image::channel_mask

Definition at line 268 of file image.h.

## channels

ChannelType _Image::channels

Definition at line 346 of file image.h.

## chromaticity

ChromaticityInfo _Image::chromaticity

Definition at line 169 of file image.h.

## client_data

void* _Image::client_data

Definition at line 286 of file image.h.

## colormap

PixelInfo* _Image::colormap

Definition at line 159 of file image.h.

## colors

size_t _Image::colors

Definition at line 155 of file image.h.

## colorspace

ColorspaceType _Image::colorspace

Definition at line 137 of file image.h.

## columns

size_t _Image::columns

Definition at line 152 of file image.h.

## compose

CompositeOperator _Image::compose

Definition at line 214 of file image.h.

## composite_mask

MagickBooleanType _Image::composite_mask

Definition at line 340 of file image.h.

## compression

CompressionType _Image::compression

Definition at line 140 of file image.h.

## debug

MagickBooleanType _Image::debug

Definition at line 314 of file image.h.

## delay

size_t _Image::delay

Definition at line 221 of file image.h.

## depth

size_t _Image::depth

Definition at line 154 of file image.h.

## directory

char * _Image::directory

Definition at line 182 of file image.h.

## dispose

DisposeType _Image::dispose

Definition at line 217 of file image.h.

## dither

MagickBooleanType _Image::dither

Definition at line 247 of file image.h.

## duration

size_t _Image::duration

Definition at line 222 of file image.h.

## endian

EndianType _Image::endian

Definition at line 208 of file image.h.

## error

ErrorInfo _Image::error

Definition at line 277 of file image.h.

## extent

MagickSizeType _Image::extent

Definition at line 250 of file image.h.

## extract_info

RectangleInfo _Image::extract_info

Definition at line 193 of file image.h.

## filename

char _Image::filename[MagickPathExtent]

Definition at line 299 of file image.h.

## filter

FilterType _Image::filter

Definition at line 199 of file image.h.

## fuzz

double _Image::fuzz

Definition at line 196 of file image.h.

## gamma

double _Image::gamma

Definition at line 166 of file image.h.

## generic_profile

ProfileInfo* _Image::generic_profile

Definition at line 292 of file image.h.

## geometry

char * _Image::geometry

Definition at line 183 of file image.h.

## gravity

GravityType _Image::gravity

Definition at line 211 of file image.h.

## image_info

struct _ImageInfo* _Image::image_info

Definition at line 323 of file image.h.

## intensity

PixelIntensityMethod _Image::intensity

Definition at line 202 of file image.h.

## interlace

InterlaceType _Image::interlace

Definition at line 205 of file image.h.

## interpolate

PixelInterpolateMethod _Image::interpolate

Definition at line 235 of file image.h.

## iterations

size_t _Image::iterations

Definition at line 228 of file image.h.

## list

struct _Image* _Image::list

Definition at line 329 of file image.h.

## magick

char _Image::magick[MagickPathExtent]

Definition at line 301 of file image.h.

## magick_columns

size_t _Image::magick_columns

Definition at line 304 of file image.h.

## magick_filename

char _Image::magick_filename[MagickPathExtent]

Definition at line 300 of file image.h.

## magick_rows

size_t _Image::magick_rows

Definition at line 305 of file image.h.

## mask_trait

PixelTrait _Image::mask_trait

Definition at line 343 of file image.h.

## matte_color

PixelInfo _Image::matte_color

Definition at line 337 of file image.h.

## metacontent_extent

size_t _Image::metacontent_extent

Definition at line 265 of file image.h.

## montage

char* _Image::montage

Definition at line 181 of file image.h.

## next

struct _Image * _Image::next

Definition at line 331 of file image.h.

## number_channels

size_t _Image::number_channels

Definition at line 263 of file image.h.

## number_meta_channels

size_t _Image::number_meta_channels

Definition at line 264 of file image.h.

## offset

ssize_t _Image::offset

Definition at line 186 of file image.h.

## orientation

OrientationType _Image::orientation

Definition at line 146 of file image.h.

## page

RectangleInfo _Image::page

Definition at line 192 of file image.h.

## ping

MagickBooleanType _Image::ping

Definition at line 253 of file image.h.

## previous

struct _Image * _Image::previous

Definition at line 330 of file image.h.

## profiles

void* _Image::profiles

Definition at line 175 of file image.h.

## progress_monitor

MagickProgressMonitor _Image::progress_monitor

Definition at line 283 of file image.h.

## properties

void* _Image::properties

Definition at line 295 of file image.h.

## quality

size_t _Image::quality

Definition at line 143 of file image.h.

## read_mask

MagickBooleanType _Image::read_mask

Definition at line 256 of file image.h.

## reference_count

ssize_t _Image::reference_count

Definition at line 317 of file image.h.

## rendering_intent

RenderingIntent _Image::rendering_intent

Definition at line 172 of file image.h.

## resolution

PointInfo _Image::resolution

Definition at line 189 of file image.h.

## rows

size_t _Image::rows

Definition at line 153 of file image.h.

## scene

size_t _Image::scene

Definition at line 220 of file image.h.

## semaphore

SemaphoreInfo* _Image::semaphore

Definition at line 320 of file image.h.

## signature

size_t _Image::signature

Definition at line 334 of file image.h.

## start_loop

ssize_t _Image::start_loop

Definition at line 232 of file image.h.

## storage_class

ClassType _Image::storage_class

Definition at line 134 of file image.h.

## taint

MagickBooleanType _Image::taint

Definition at line 149 of file image.h.

## ticks_per_second

ssize_t _Image::ticks_per_second

Definition at line 225 of file image.h.

## tile_offset

RectangleInfo _Image::tile_offset

Definition at line 241 of file image.h.

## timer

TimerInfo _Image::timer

Definition at line 280 of file image.h.

## timestamp

time_t _Image::timestamp

Definition at line 311 of file image.h.

## total_colors

size_t _Image::total_colors

Definition at line 229 of file image.h.

## transparent_color

PixelInfo _Image::transparent_color

Definition at line 163 of file image.h.

## ttl

time_t _Image::ttl

Definition at line 349 of file image.h.

## type

ImageType _Image::type

Definition at line 244 of file image.h.

## units

ResolutionType _Image::units

Definition at line 178 of file image.h.

## write_mask

MagickBooleanType _Image::write_mask

Definition at line 257 of file image.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/image.h